[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorListBox.InitializeWnd

Performs actions needed when the window handle for the control is created.

## Declaration

Source position: colorbox.pas line 198

`protected procedure TCustomColorListBox.InitializeWnd; override;`

## Description

Updates the value in Selected to force ItemIndex to be updated.

## See also

TCustomColorListBox.Selected |  | The TColor value for the selected item in the list box control.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.
TCustomListBox.InitializeWnd |  | Updates Items from the widgetset class and invalidates the item cache.
TWincontrol.InitializeWnd |  | Copies cached control properties to the newly created widget.